#
# spec file for package python-testpath
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-testpath
Version:        0.3.1
Release:        lp152.3.2
Summary:        Test utilities for code working with files and commands
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/jupyter/testpath
Source0:        https://files.pythonhosted.org/packages/source/t/testpath/testpath-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Testpath is a collection of utilities for Python code working with
files and commands.

It contains functions to check things on the filesystem, and tools
for mocking system commands and recording calls to those.

%prep
%setup -q -n testpath-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst LICENSE
%{python_sitelib}/testpath/
%{python_sitelib}/testpath-%{version}-py*.egg-info

%changelog
* Thu Jan 18 2018 toddrme2178@gmail.com
- Fix files list
* Thu Nov  2 2017 arun@gmx.de
- changed to tar-ball version
* Sun Oct 22 2017 arun@gmx.de
- update to version 0.3.1:
  * Add dev requirement on pathlib2
  * Use pathlib2 instead of pathlib
  * Convert readthedocs links for their .org -> .io migration for
    hosted projects
* Mon Apr 24 2017 toddrme2178@gmail.com
- Switch to wheel-based install.
- Implement single-spec version.
* Thu Apr  6 2017 toddrme2178@gmail.com
- specfile:
  * update copyright year
  * LICENSE file is now in tar-ball
- update to version 0.3:
  (no changelog available)
* Fri Jan 29 2016 toddrme2178@gmail.com
- Don't use flit (which doesn't work reliably),
  just copy the sources to the right place.
* Wed Oct 14 2015 toddrme2178@gmail.com
- Add LICENSE file from upstream github project.
* Tue Sep 29 2015 toddrme2178@gmail.com
- Initial version
